## imcode.util.jscalendar
Class JSCalendar

    java.lang.Object
      imcode.util.jscalendar.JSCalendar

    public class JSCalendar

extends java.lang.Object

Field Summary
`java.lang.String` `dateFieldId`
`java.lang.String` `langIso639_2`
`javax.servlet.http.HttpServletRequest` `request`
`java.lang.String` `timeFieldId`

Constructor Summary
`JSCalendar(java.lang.String langIso639_2, javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.String` `getButton(java.lang.String title)`
`java.lang.String` `getHeadTagScripts()`
`JSCalendar` `getInstance(java.lang.String dateFieldId)`
`JSCalendar` `getInstance(java.lang.String dateFieldId, java.lang.String timeFieldId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateFieldId

    public java.lang.String dateFieldId

### timeFieldId

    public java.lang.String timeFieldId

### langIso639_2

    public java.lang.String langIso639_2

### request

    public javax.servlet.http.HttpServletRequest request

Constructor Detail

### JSCalendar

    public JSCalendar(java.lang.String langIso639_2,
                      javax.servlet.http.HttpServletRequest request)

Method Detail

### getInstance

    public JSCalendar getInstance(java.lang.String dateFieldId,
                                  java.lang.String timeFieldId)

### getInstance

    public JSCalendar getInstance(java.lang.String dateFieldId)

### getHeadTagScripts

    public java.lang.String getHeadTagScripts()

### getButton

    public java.lang.String getButton(java.lang.String title)